explain_getdomainname_or_die(3)

NAME
explain_getdomainname_or_die - get domain name and report errors

SYNOPSIS
#include <libexplain/getdomainname.h>

void explain_getdomainname_or_die(char *data, size_t data_size);
int explain_getdomainname_on_error(char *data, size_t data_size);

DESCRIPTION
The explain_getdomainname_or_die function is used to call the getdomainname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getdomainname(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_getdomainname_on_error function is used to call the getdomainname(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_getdomainname(3) function, but still returns to the caller.

data
    The data, exactly as to be passed to the getdomainname(2) system call.

data_size
    The data_size, exactly as to be passed to the getdomainname(2) system call.

RETURN VALUE
The explain_getdomainname_or_die function only returns on success, see getdomainname(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_getdomainname_on_error function always returns the value return by the wrapped getdomainname(2) system call.

EXAMPLE
The explain_getdomainname_or_die function is intended to be used in a fashion similar to the following example:
    explain_getdomainname_or_die(data, data_size);

SEE ALSO

getdomainname(2)
    get domain name

explain_getdomainname(3)
    explain getdomainname(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version
Copyright (C) 2009 Peter Miller